aboutsummaryrefslogtreecommitdiffstats
path: root/mkdep
diff options
context:
space:
mode:
authormarkster <markster@f38db490-d61c-443f-a65b-d21fe96a405b>2004-12-17 07:59:26 +0000
committermarkster <markster@f38db490-d61c-443f-a65b-d21fe96a405b>2004-12-17 07:59:26 +0000
commite69144f5ee7ad676bd1065af31e7c24a3b46dcb5 (patch)
treec40a5cd6ed4466969deff4e98da6123c790fd762 /mkdep
parentc805315084b5f9803b152eb565bb1253fcb5ed43 (diff)
Fix mkdep to work with /bin/sh on solaris and friends (bug #3050)
git-svn-id: http://svn.digium.com/svn/asterisk/trunk@4471 f38db490-d61c-443f-a65b-d21fe96a405b
Diffstat (limited to 'mkdep')
-rwxr-xr-xmkdep5
1 files changed, 3 insertions, 2 deletions
diff --git a/mkdep b/mkdep
index 3f30b51ac..9d15f1e75 100755
--- a/mkdep
+++ b/mkdep
@@ -1,4 +1,4 @@
-#!/bin/bash -
+#!/bin/sh -
#
# $OpenBSD: mkdep.gcc.sh,v 1.8 1998/09/02 06:40:07 deraadt Exp $
# $NetBSD: mkdep.gcc.sh,v 1.9 1994/12/23 07:34:59 jtc Exp $
@@ -73,7 +73,8 @@ TMP=$DTMP/mkdep
um=`umask`
umask 022
-if ! mkdir $DTMP ; then
+mkdir $DTMP
+if [ $? != 0 ] ; then
echo failed to create tmp dir $DTMP
exit 1
fi